/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:basename.c 12.0$ */
/* $ACIS:basename.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.bin/RCS/basename.c,v $ */

#ifndef lint
static char *rcsid = "$Header:basename.c 12.0$";
#endif

static char *sccsid = "@(#)basename.c	4.2 (Berkeley) 10/20/82";

#include	<stdio.h>

main(argc, argv)
char **argv;
{
	register char *p1, *p2, *p3;

	if (argc < 2) {
		putchar('\n');
		exit(1);
	}
	p1 = argv[1];
	p2 = p1;
	while (*p1) {
		if (*p1++ == '/')
			p2 = p1;
	}
	if (argc>2) {
		for(p3=argv[2]; *p3; p3++) 
			;
		while(p1>p2 && p3>argv[2])
			if(*--p3 != *--p1)
				goto output;
		*p1 = '\0';
	}
output:
	puts(p2, stdout);
	exit(0);
}
